$vantageAppObject  =  Get-AppxProvisionedPackage -online | where DisplayName -eq E046963F.LenovoCompanion

if($vantageAppObject -eq $null) {

    $pathToSetAppsApp = "$env:ProgramFiles\Lenovo\Hotkey\setapps.exe"
    $ArgList = "/S" 

    if(Test-Path $pathToSetAppsApp)
    {
       try {
            $process = Start-Process -NoNewWindow -Wait -PassThru -FilePath $pathToSetAppsApp -ArgumentList $ArgList
        } catch {}
    }
}
